### Class method

# Ide LspServiceClass bind_client

#### Declaration

    void
    ide_lsp_service_class_bind_client (
      IdeLspServiceClass* klass,
      IdeObject* provider
    )

#### Description

Binds the “client” property of `property` to its context’s instance of `klass`. If the language server is not running yet, it will be started.

#### Parameters

`provider` | `IdeObject`
| An `IdeObject`
| The data is owned by the caller of the function.